function doRequestPromise(method, url) {
    return new Promise((success, failure) => {
        let xhr = new XMLHttpRequest();
        xhr.addEventListener("readystatechange", () => {
            if (xhr.readyState == 4) {
                if (xhr.status == 200) {
                    success(xhr.responseText);
                } else {
                    failure("ERROR " + xhr.status + ":" + xhr.responseText);
                }
            }
        });
        xhr.open(method, url);
        xhr.send();
    });
}



window.addEventListener("load", function () {

    let input = document.getElementById("input");
    let results = document.getElementById("results");
    let pending = false;

    async function doRequest() {
        if (pending) return;
        pending = true;
        let word = input.value;
        let p = await doRequestPromise("GET", "words.php?q=" + word);
        let tab = JSON.parse(p);
        let ptab = tab.map((w) => {
            return doRequestPromise("GET", "bold.php?q=" + w)
        });
        let wtab = await Promise.all(ptab);
        results.innerHTML = "";
        for (let wb of wtab) {
            results.innerHTML += JSON.parse(wb) + "<br/>";
        }
        pending = false;
    }

    input.addEventListener("keydown", function (ev) {

    if (!pending)
        setTimeout(doRequest, 10);
});




});
